package com.lz.modules.equipment.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.modules.equipment.dao.SpecialApplyInfoMapper;
import com.lz.modules.equipment.entity.SpecialApplyInfo;
import com.lz.modules.equipment.entity.model.FindByNameModel;
import com.lz.modules.equipment.service.SpecialApplyInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* <p>
* 其他可申领信息表 服务类
* </p>
*
* @author quyixiao
* @since 2020-07-31
*/

@Service
public class SpecialApplyInfoServiceImpl extends ServiceImpl<SpecialApplyInfoMapper, SpecialApplyInfo> implements SpecialApplyInfoService {


    @Autowired
	private SpecialApplyInfoMapper specialApplyInfoMapper;



	@Override
	public SpecialApplyInfo selectSpecialApplyInfoById(Long id){
		return specialApplyInfoMapper.selectSpecialApplyInfoById(id);
	}



	@Override
	public Long insertSpecialApplyInfo(SpecialApplyInfo specialApplyInfo){
		return specialApplyInfoMapper.insertSpecialApplyInfo(specialApplyInfo);
	}



	@Override
	public int updateSpecialApplyInfoById(SpecialApplyInfo specialApplyInfo){
		return specialApplyInfoMapper.updateSpecialApplyInfoById(specialApplyInfo);
	}



	@Override
	public int updateCoverSpecialApplyInfoById(SpecialApplyInfo specialApplyInfo){
		return specialApplyInfoMapper.updateCoverSpecialApplyInfoById(specialApplyInfo);
	}



	@Override
	public int deleteSpecialApplyInfoById(Long id){
		return specialApplyInfoMapper.deleteSpecialApplyInfoById(id);
	}

    @Override
    public SpecialApplyInfo selectSpecialApplyInfoByTypeDesc(String owner) {

		return specialApplyInfoMapper.selectSpecialApplyInfoByTypeDesc(owner);
    }

    @Override
	public List<SpecialApplyInfo> selectBySearchName(IPage page, FindByNameModel nameModel){
		return specialApplyInfoMapper.selectBySearchName(page, nameModel);
	}


}
